Subject: Re: [XFRM]: xfrm_user: fix selector family initialization

From: Patrick McHardy <[email-masked]>
Date: Thu, 10 Apr 2008 02:18:04 +0200

Kazunori MIYAZAWA wrote:
> David Miller wrote:
>> From: Patrick McHardy <[email-masked]>
>> Date: Wed, 09 Apr 2008 17:38:55 +0200
>>
>>>     [XFRM]: xfrm_user: fix selector family initialization
>>>         Commit df9dcb45 ([IPSEC]: Fix inter address family IPsec 
>>> tunnel handling)
>>>     broke openswan by removing the selector initialization for tunnel 
>>> mode
>>>     in case it is uninitialized.
>>>         This patch restores the initialization, fixing openswan, but 
>>> probably
>>>     breaking inter-family tunnels again (unknown since the patch author
>>>     disappeared). The correct thing for inter-family tunnels is probably
>>>     to simply initialize the selector family explicitly.
>>>         Signed-off-by: Patrick McHardy <[email-masked]>
>>
>> I've applied this to net-2.6, thanks Patrick.
>>
>> Once we resolve how to get inter-family working without
>> breaking existing setups, we can put better logic back
>> in here.  But for now the regression is more important.
> 
> Sorry, I missed the thread.
> I have no idea to solve the regression.

Wouldn't explicitly initializing the SA family for
inter-family tunnels work?